<h1>{{title | titlecase}}</h1>

<h2>Usage of Number-Stepper</h2>
<div class="pane">
  <number-stepper [(value)]="fontSize" [min]="1" [max]="5"></number-stepper>
  <p [ngStyle]="{'font-size.rem':fontSize}">{{txt | titlecase}}</p>
</div>

<h2>Usage of Editable-Text</h2>
<div class="pane">
  <table>
    <tr>
      <th>Name</th>
      <td>
        <editable-text [value]="user.name"
                       (update)="onUpdate('user.name', $event)"
                       (cancel)="onCancel()"
        ></editable-text>
      </td>
    </tr>
    <tr>
      <th>Age</th>
      <td>
        <editable-text [value]="user.age"
                       (update)="onUpdate('user.age', $event)"></editable-text>
      </td>
    </tr>
    <tr>
      <th>Female</th>
      <td>
        <editable-text [value]="user.female"
                       (update)="onUpdate('user.female', $event)"></editable-text>
      </td>
    </tr>
  </table>
</div>
